%bcond_without vcd

%define major 14
%define libname %mklibname cdio %{major}

%define isomajor 8
%define libiso %mklibname iso9660_ %{isomajor}

%define ppmajor 0
%define libnamepp %mklibname cdio++ %{ppmajor}
%define libisopp %mklibname iso++ %{ppmajor}

%define udfmajor 0
%define libudf %mklibname udf %{udfmajor}

%define devname %mklibname cdio -d

Summary:	CD-ROM reading library
Name:		libcdio
Version:	0.90
Release:	10
License:	GPLv3+
Group:		System/Libraries
Url:		http://www.gnu.org/software/libcdio/
Source0:	ftp://ftp.gnu.org/pub/gnu/libcdio/%{name}-%{version}.tar.gz
Source1:	ftp://ftp.gnu.org/pub/gnu/libcdio/%{name}-%{version}.tar.gz.sig
BuildRequires:	pkgconfig(libcddb)
%if %{with vcd}
BuildRequires:	pkgconfig(libvcdinfo)
%endif
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(popt)

%description
This library is to encapsulate CD-ROM reading and control. Applications
wishing to be oblivious of the OS- and device-dependent properties of a
CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available, so
applications that use this library also have the ability to read disc
images as though they were CD's.

#----------------------------------------------------------------------------

%package apps
Summary:	Example tool from %{name}
Group:		Sound

%description apps
This library is to encapsulate CD-ROM reading and control. Applications
wishing to be oblivious of the OS- and device-dependent properties of a
CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available, so
applications that use this library also have the ability to read disc
images as though they were CD's.

This contains the program cd-info as an example application of %{name}.

%files apps
%doc README AUTHORS NEWS INSTALL TODO
%{_bindir}/*
%{_mandir}/man1/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library from %{name}
Group:		System/Libraries
Provides:	libcdio = %{EVRD}

%description -n %{libname}
This package contains the library for libcdio.

%files -n %{libname}
%{_libdir}/libcdio.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libiso}
Summary:	Library from %{name}
Group:		System/Libraries

%description -n %{libiso}
This package contains the library for libiso.

%files -n %{libiso}
%{_libdir}/libiso9660.so.%{isomajor}*

#----------------------------------------------------------------------------

%package -n %{libnamepp}
Summary:	C++ library from %{name}
Group:		System/Libraries

%description -n %{libnamepp}
This package contains the C++ library for libcdio++.

%files -n %{libnamepp}
%{_libdir}/libcdio++.so.%{ppmajor}*

#----------------------------------------------------------------------------

%package -n %{libisopp}
Summary:	C++ library from %{name}
Group:		System/Libraries
Conflicts:	%{_lib}cdiopp0 < 0.90

%description -n %{libisopp}
This package contains the C++ library for libiso++.

%files -n %{libisopp}
%{_libdir}/libiso9660++.so.%{ppmajor}*

#----------------------------------------------------------------------------

%package -n %{libudf}
Summary:	Libraries from %{name}
Group:		System/Libraries

%description -n %{libudf}
This package contains the library for libudf.

%files -n %{libudf}
%{_libdir}/libudf.so.%{udfmajor}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Devel files from %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	%{libiso} = %{EVRD}
Requires:	%{libnamepp} = %{EVRD}
Requires:	%{libisopp} = %{EVRD}
Requires:	%{libudf} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Obsoletes:	%{_lib}cdio-static-devel < 0.90

%description -n %{devname}
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications.

%files -n %{devname}
%doc ChangeLog README AUTHORS NEWS INSTALL TODO
%{_includedir}/cdio
%{_includedir}/cdio++/
%{_infodir}/libcdio.info*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libcdio.pc
%{_libdir}/pkgconfig/libcdio++.pc
%{_libdir}/pkgconfig/libiso9660.pc
%{_libdir}/pkgconfig/libiso9660++.pc
%{_libdir}/pkgconfig/libudf.pc

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--disable-rpath \
	--without-versioned-libs \
%if %{without vcd}
	--disable-vcd-info
%endif

%make

%install
%makeinstall_std


%changelog
* Wed Jul 02 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.90-10
+ Revision: bb3aeb6
- Spec cleanup


